Bug 1496440 - Cannot upgrade from f27 to rawhide
Summary: Cannot upgrade from f27 to rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 12:22 UTC by Lukas Slebodnik
Modified: 2018-11-30 18:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:29:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Lukas Slebodnik 2017-09-27 12:22:10 UTC
Description of problem:
The recent update of fedora-repos (27-0.5) replace package fedora-repos-rawhide
but only in f27. Package in rawhide does not contain such change
https://koji.fedoraproject.org/koji/buildinfo?buildID=975263

BTW it is interesting that fedora-repos replace package fedora-repos-rawhide
but 2nd package is still produced in koji
https://koji.fedoraproject.org/koji/buildinfo?buildID=974165

Version-Release number of selected component (if applicable):
fedora-repos-27-0.5

How reproducible:
Deterministic

Steps to Reproduce:
1. docker run -ti --rm registry.fedoraproject.org/fedora:27 bash
2. dnf update -y --setopt=debuglevel=0 --setopt=errorlevel=0 "fedora*"
3. dnf install -y fedora-repos-rawhide
4. dnf distro-sync --disablerepo=* --enablerepo=rawhide 

Actual results:
[root@host ~]# docker run -ti --rm registry.fedoraproject.org/fedora:27 bash

[root@d9de0f280edb /]# dnf update -y --setopt=debuglevel=0 --setopt=errorlevel=0 "fedora*"

[root@d9de0f280edb /]# dnf install -y fedora-repos-rawhide
Last metadata expiration check: 0:03:12 ago on Wed Sep 27 12:04:14 2017.
Package fedora-repos-27-0.6.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

[root@d9de0f280edb /]# dnf repolist
Last metadata expiration check: 0:07:31 ago on Wed Sep 27 12:04:14 2017.
repo id                     repo name                                     status
*fedora                     Fedora 27 - x86_64                            61384
*updates                    Fedora 27 - x86_64 - Updates                      0
*updates-testing            Fedora 27 - x86_64 - Test Updates              6077

[root@d9de0f280edb /]# dnf distro-sync --disablerepo=updates-testing --disablerepo=updates --releasever=28
Error: Failed to synchronize cache for repo 'fedora'

[root@d9de0f280edb /]# dnf distro-sync --disablerepo=* --enablerepo=rawhide    
Error: Unknown repo: 'rawhide'
Expected results:


Additional info:
//rawhide repo is not replaces by f28 repos because it was not branched yet
[root@d9de0f280edb /]# dnf distro-sync --disablerepo=updates-testing --disablerepo=updates --releasever=28
Error: Failed to synchronize cache for repo 'fedora'

Comment 1 Lukas Slebodnik 2017-09-27 12:45:56 UTC
Would it be possible to add openQA test for it.

Comment 2 Dennis Gilmore 2017-09-27 16:51:28 UTC
the obsolete is done in such a way that you can install fedora-repos-rawhide if you want to go to rawhide but will transition from rawhide to branched.

Comment 3 Lukas Slebodnik 2017-09-27 17:33:48 UTC
(In reply to Dennis Gilmore from comment #2)
> the obsolete is done in such a way that you can install fedora-repos-rawhide
> if you want to go to rawhide but will transition from rawhide to branched.

Then please explain why it works from fedora26

[root@host ~]# docker run -ti --rm docker.io/fedora:26 bash
[root@4026fb4eda22 /]# dnf update -y --setopt=debuglevel=0 --setopt=errorlevel=0 "fedora*"

[root@4026fb4eda22 /]# 
[root@4026fb4eda22 /]# rpm -qa fedora-repos* dnf
fedora-repos-26-1.noarch
dnf-2.6.3-1.fc26.noarch
[root@4026fb4eda22 /]# dnf install -y fedora-repos-rawhide
Last metadata expiration check: 0:02:26 ago on Wed Sep 27 17:29:37 2017.
Dependencies resolved.
==========================================================================================================
 Package                            Arch                 Version               Repository            Size
==========================================================================================================
Installing:
 fedora-repos-rawhide               noarch               26-1                  fedora               8.3 k

Transaction Summary
==========================================================================================================
Install  1 Package

Total download size: 8.3 k
Installed size: 2.1 k
Downloading Packages:
fedora-repos-rawhide-26-1.noarch.rpm                                       21 kB/s | 8.3 kB     00:00    
----------------------------------------------------------------------------------------------------------
Total                                                                     4.9 kB/s | 8.3 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                  1/1 
  Installing       : fedora-repos-rawhide-26-1.noarch                                                 1/1 
  Verifying        : fedora-repos-rawhide-26-1.noarch                                                 1/1 

Installed:
  fedora-repos-rawhide.noarch 26-1                                                                        

Complete!
[root@4026fb4eda22 /]#

Comment 4 Lukas Slebodnik 2017-09-27 17:34:30 UTC
BTW I tried to install rawhide repos even with --best

[root@host ~]# docker run -ti --rm registry.fedoraproject.org/fedora:27 bash

[root@60c2a676f5ca /]# 
[root@60c2a676f5ca /]# dnf update -y --setopt=debuglevel=0 --setopt=errorlevel=0 "fedora*"
[root@60c2a676f5ca /]# rpm -qa fedora-repos* dnf
dnf-2.6.3-4.fc27.noarch
fedora-repos-27-0.6.noarch
[root@60c2a676f5ca /]# dnf install -y fedora-repos-rawhide
Last metadata expiration check: 0:05:02 ago on Wed Sep 27 17:26:56 2017.
Package fedora-repos-27-0.6.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
[root@60c2a676f5ca /]# dnf install -y --best fedora-repos-rawhide
Last metadata expiration check: 0:05:26 ago on Wed Sep 27 17:26:56 2017.
Package fedora-repos-27-0.6.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Comment 5 Adam Williamson 2017-11-27 21:29:01 UTC
openQA already tests upgrade to rawhide, but it does it in a somewhat different way.

Comment 6 Lukas Slebodnik 2017-11-28 08:28:34 UTC
(In reply to Adam Williamson from comment #5)
> openQA already tests upgrade to rawhide, but it does it in a somewhat
> different way.

IIRC it was fixed in newer version of dnf. And ATM there is dnf-2.7.5-1 in fc27
and not buggy dnf-2.6.3-4.fc27.noarch.

Comment 7 Ben Cotton 2018-11-27 18:00:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 18:29:39 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.